import { EditorState } from 'draft-js';
import React, { Component } from 'react';
import * as PropTypes from 'prop-types';
import EditorPlugin from 'plugins/EditorPlugin';
interface OmniEditorProps {
    editorState: EditorState;
    onChange: (editorState: EditorState) => void;
    plugins: EditorPlugin[];
    shouldFocus: boolean;
}
interface OmniEditorState {
    plugins: EditorPlugin[];
}
declare class OmniEditor extends Component<OmniEditorProps, OmniEditorState> {
    private editor;
    constructor(props: OmniEditorProps);
    static propTypes: {
        editorState: PropTypes.Validator<EditorState>;
        onChange: PropTypes.Validator<(...args: any[]) => any>;
        plugins: PropTypes.Requireable<any[]>;
        shouldFocus: PropTypes.Requireable<boolean>;
    };
    componentDidMount: () => void;
    onChange: (editorState: EditorState) => void;
    myKeyBindingFn: (event: React.KeyboardEvent<Element>) => string | null;
    handleKeyCommand: (command: string, editorState: EditorState) => "handled" | "not-handled";
    render: () => JSX.Element;
}
export default OmniEditor;
