import { ReactNode } from 'react';
import { EditorState } from 'draft-js';
import EditorPlugin from '../EditorPlugin';
export interface MentionPluginState {
    indexOfSelectedSuggestion: number;
    position: {
        left: number;
        top: number;
    };
}
export interface Suggestion {
    name: string;
    active?: boolean;
}
declare class MentionPlugin implements EditorPlugin {
    private readonly trigger;
    private readonly suggestions;
    private readonly suggestionView;
    private readonly suggestionFilter;
    private state;
    constructor(trigger: string, suggestions: Suggestion[], suggestionView: (suggestions: Suggestion) => ReactNode, suggestionFilter: Function);
    hasEntityAtSelection: (editorState: EditorState) => boolean;
    getTriggerRange: (editorState: EditorState) => {
        selection: Selection;
        text: string;
        start: number;
        end: number;
    } | null;
    getSuggestionState: (editorState: EditorState) => {
        text: string;
        position: {
            left: number;
            top: number;
        };
        indexOfSelectedSuggestion: number;
    } | null;
    onChange: (editorState: EditorState) => EditorPlugin;
    shouldTriggerCustomKeyCommand: () => boolean;
    handleKeyCommand: (command: string, editorState: EditorState) => {
        didPluginHandleCommand: boolean;
        updatedPlugin: EditorPlugin;
        updatedEditorState?: EditorState | undefined;
    };
    addMentionToEditorState: (editorState: EditorState, suggestedMention: any) => EditorState;
    getPortalElement: (editorState: EditorState, setEditorState: (editorState: EditorState) => void) => JSX.Element | null;
}
export default MentionPlugin;
